## transmission 2.84

=== debian/changelog ===
transmission (2.84-3ubuntu3) xenial; urgency=medium

  * debian/patches/lp1212835_changeset_14374: Take #14374 from upstream to
    make transmission-qt get an icon. (LP: #1212835)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 21 Mar 2016 17:32:29 +0000

transmission (2.84-3ubuntu2) xenial; urgency=medium

  * debian/patches/update-glib-gettext.m4.patch:
    - Fix FTBFS due to outdated glib-gettext

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Mar 2016 14:46:46 +1300

transmission (2.84-3ubuntu1) xenial; urgency=medium

  * debian/control:
    - restore the libappindicator3-dev build-depends, 
      it's needed for unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2016 18:09:55 +0100

transmission (2.84-3) unstable; urgency=medium

  * [6b8bb2a] fix a SIGSEGV due to racing in list node allocation;
    Closes: #808333
  * [40ec5cb] remove libappindicator3-dev from b-d; Closes: #801299
  * [7ceb8fe] Fix black lines to be rendered when scrolling; Closes: #801300

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 17:54:56 +0000

transmission (2.84-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 18:01:47 +0100

transmission (2.84-1) experimental; urgency=medium

  * Acknowledge NMUs: thanks to Boris Pek, Thomas Goirand, Markus Koschany;
    Closes: #737366, #718624, #754982, #757365, #718624, #734467
  * [323b2ad] Set me as maintaner, Leo as uploader (with Leo's blessing)
  * [3eecf54] removed Bugs field, as it was causing bugs to be sent to upstream;
    Closes: #740944
  * [e5bd0af] drop gconf integration, no longer needed; Closes: #741069,
    #745936, #756823
  * [0432bb4] bump Standards-Version to 3.9.6 (no changes needed)
  * [fd2b694] transition to libsystemd-dev; Closes: #779760

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2015 11:21:31 +0100

transmission (2.84-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * transmission-daemon.postinst:
    - Change home directory of transmission-daemon to
      /var/lib/transmission-daemon from /home/debian-transmission.
      Thanks to Alex Peters for the report. (Closes: #734467)
    - Disable password authentication for debian-transmission user for
      improved security. Logins with e.g. SSH RSA keys are still possible.
    - Check existence of debian-transmission user with getent passwd
      debian-transmission instead of id.
  * Add transmission-daemon.preinst:
    - Fix permissions in /var/lib/transmission-daemon and use
      /var/lib/transmission-daemon as the new home directory.
    - Move old configuration files to appropriate config directory
      /var/lib/transmission-daemon/.config/transmission-daemon.
      All together this ensures that transmission-daemon will not segfault
      when systemd is the default init system.
      Thanks to Andrei Popescu and Antoine Legonidec for the report and
      additional tests. (Closes: #718624)
  * transmission-daemon.links:
    - Link settings.json from /etc/transmission-daemon/settings.json to
      /var/lib/transmission-daemon/.config/transmission-daemon.
    - Link /var/lib/transmission-daemon/.config/transmission-daemon to
      /var/lib/transmission-daemon/info due to compatibility reasons with
      the old sysv-rc init script settings.
  * transmission-daemon.dirs:
    - Do not create /var/lib/transmission-daemon/info anymore.

 -- Markus Koschany <apo@gambaru.de>  Wed, 10 Dec 2014 08:16:13 +0100

transmission (2.84-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - Fixes build with newer miniupnpc (Closes: #754982, #757365).
  * Ran wrap-and-sort.
  * Fix upstream service file (Closes: #718624).
  * Refresh fix_freebsd_quota_include.patch.
  * Minimum version of libminiupnpc-dev is now >= 1.9.
  * Removed debian/gbp.conf which imposes bzip2 when upstream releases source
    using xz compression.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jul 2014 10:35:51 +0000

transmission (2.82-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [36a95ac] bump policy to 3.9.5 (no changes)
  * [6f54782] use systemd only on linux systems
    Thanks to Peter Green (Closes: 737366)
  * [8e97c66] add build-dep on dh-autoreconf
  * [210734a] debian/rules: use dh with autoreconf instead of autotools-dev
    - fix re-configuring with automake >= 1.14
    - fix FTBFS on kFreeBSD systems
  * [14305bc] debian/changelog: fix lintian warning about wrong weekday
    (2013-09-15 is a Sunday)
  * [b7972f5] debian/control: fix lintian notes vcs-field-not-canonical
  * [539e32b] debian/transmission-daemon.init:
    fix lintian note init.d-script-missing-lsb-description
  * [b10417b] debian/transmission-daemon.postinst: fix lintian error
    maintainer-script-should-not-use-adduser-system-without-home
  * [09bac94] debian/control: fix lintian note
    capitalization-error-in-description GTK GTK+

 -- Boris Pek <tehnick@debian.org>  Sat, 15 Feb 2014 22:19:08 +0400
