=== debian/changelog ===
transmission (2.92-0mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Note that the Qt version is disabled, remove any Qt build-depends.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 16 Apr 2016 20:18:40 -0700

transmission (2.92-1) unstable; urgency=medium

  * Build for Debian 8

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 08 Mar 2016 15:04:49 +0900

transmission (2.92-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 07 Mar 2016 18:50:33 +0100

transmission (2.90-0ubuntu0.15.10.2) wily; urgency=medium

  * Rebuild for Wily

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Mar 2016 22:14:22 +0100

transmission (2.90-0ubuntu0.15.10.1) precise; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Mar 2016 21:11:57 +0100

transmission (2.84-0ubuntu0.12.04.1) precise; urgency=medium

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Tue, 08 Jul 2014 15:19:46 +0200

transmission (2.84-0ubuntu0.14.10.1) utopic; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 08 Jul 2014 14:56:39 +0200

transmission (2.83-0ubuntu0.12.04.2) precise; urgency=medium

  * Disable support for QT client

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:18:24 +0200

transmission (2.83-0ubuntu0.12.04.1) precise; urgency=medium

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:12:38 +0200

transmission (2.83-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release
  * Rebase on official Ubuntu packages

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:12:08 +0200

transmission (2.82-0ubuntu0.13.10.3) saucy; urgency=low

  * Rebuild with QT5 support 

 -- Andreas Noteng <andreas@noteng.no>  Mon, 12 Aug 2013 20:07:51 +0200

transmission (2.82-0ubuntu0.12.04.2) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 11 Aug 2013 21:17:56 +0200

transmission (2.82-0ubuntu0.13.10.2) saucy; urgency=low

  * Revert QT5 support

 -- Andreas Noteng <andreas@noteng.no>  Sun, 11 Aug 2013 08:43:55 +0200

transmission (2.82-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise
  * Remove patch to build with older glib, fixed upstream

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2013 10:23:21 +0200

transmission (2.82-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2013 10:11:44 +0200

transmission (2.81-0ubuntu0.12.04.5) precise; urgency=low

  * Patch in upstrean rev 14142 to support older versions of glib

 -- Andreas Noteng <andreas@noteng.no>  Mon, 29 Jul 2013 22:11:42 +0200

transmission (2.81-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 20 Jul 2013 08:28:15 +0200

transmission (2.81-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Fri, 19 Jul 2013 18:12:20 +0200

transmission (2.80-0ubuntu0.12.10.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 06 Jul 2013 21:09:57 +0200

transmission (2.80-0ubuntu0.13.10.2) saucy; urgency=low

  * Remove liblaunchpad-integration-3.0-dev dependency 

 -- Andreas Noteng <andreas@noteng.no>  Tue, 02 Jul 2013 22:53:30 +0200

transmission (2.80-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release
  * Updated watch file

 -- Andreas Noteng <andreas@noteng.no>  Tue, 02 Jul 2013 22:21:28 +0200

transmission (2.77-0ubuntu0.12.10.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Tue, 19 Feb 2013 21:58:11 +0100

transmission (2.61-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 29 Jul 2012 14:58:55 +0200

transmission (2.60-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to precise

 -- Andreas Noteng <andreas@noteng.no>  Fri, 06 Jul 2012 22:01:45 +0200

transmission (2.52-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 20 May 2012 01:09:29 +0200

transmission (2.50-0ubuntu0.11.10.3) oneiric; urgency=low

  * Backport to Oneiric.

 -- Andreas Noteng <andreas@noteng.no>  Thu, 23 Feb 2012 14:03:45 +0100

transmission (2.50-0ubuntu0.11.10.2) oneiric; urgency=low

  * Backport to Oneiric

 -- Andreas Noteng <andreas@noteng.no>  Wed, 22 Feb 2012 17:46:47 +0100
