=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
LDFLAGS=-Wl,--as-needed,--no-undefined,--no-add-needed

%:
	dh $@ --with autotools-dev --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-cli --enable-daemon
	# qt client has a separate build-system
	# dh_auto_configure -Dqt

override_dh_auto_build:
	dh_auto_build
	#dh_auto_build -Dqt
	#(cd qt && lrelease qtr.pro)

override_dh_installchangelogs:
	dh_installchangelogs -p transmission-common NEWS
override_dh_installdocs:
	dh_installdocs -p transmission-common
override_dh_installexamples:
	dh_installexamples -p transmission-common

override_dh_install:
	dh_install --list-missing -X LICENSE # extra copy in web dir - costela 2008-08-15

override_dh_auto_install:
	dh_auto_install
	#dh_auto_install -Dqt -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --dbg-package=transmission-dbg
