=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/
http://download.transmissionbt.com/files/transmission-([\d\.]+)\.tar\.xz debian uupdate
